#ifndef MARS_MTrigLvl2FillTask
#define MARS_MTrigLvl2FillTask

#ifndef MARS_MTask
#include "MTask.h"
#endif

class MParList;

class MMcEvt;
class MMcTrig;

class MTrigLvl2;

class TH1F;

class MTrigLvl2FillTask : public MTask
{
 private:
  const MMcEvt  *fMcEvt;
  MMcTrig *fMcTrig;

  MTrigLvl2 *fMTrigLvl2;
    
  TH1F *h1;

 public:
    MTrigLvl2FillTask(const char *name=NULL, const char *title=NULL);   

    Bool_t PreProcess(MParList *pList);
    Bool_t Process();
    Bool_t PostProcess();

    ClassDef(MTrigLvl2FillTask, 0) // Task to calculate the collection area histogram
};

#endif 




